# Shaman
The Shaman: an original summoner / necromancer character based on the Tomb Raiser class from Trove.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman6.gif?raw=true)]()

look at his cute lil acolytes!!!!

___

# Skills

## Passive
Every 45 seconds summon an Acolyte minion that inherits all your items. Attack speed affects the interval.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman2.gif?raw=true)]()

## Primary
Launch tracking projectiles.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman4.gif?raw=true)]()

## Secondary
Launch a projectile which causes a healing explosion for 500% damage.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman7.gif?raw=true)]()

### (ALT)
Launch a projectile which curses and cripples enemies.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman1.gif?raw=true)]()

## Utility
Become faster, invisible and more resistant for 10 seconds.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman9.gif?raw=true)]()

### (ALT)
Teleport every minion you own to you and grant them a barrier worth 60% of their MAX HP.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman8.gif?raw=true)]()

## Special
Fuse every Acolyte minion you have into a Shamanic Compound. 3 Acolytes is minimum, any extra sacrificed will be turned into a stack of a buff which will give the spawned Compound +10 armor, +2 base damage and +50 base MAX HP.

[![](https://github.com/Mantibro/ShamanMod/blob/main/other/shaman5.gif?raw=true)]()

### (ALT)
Every Acolyte you own will enter a frenzy, losing 50% MAX HP, but gaining 200% attack speed, 200% movement speed and 150% damage.

___

!!! your acolytes are NOT drones!!! they WILL get voidtouched!!!

___

## Plans
Compatibility for other mods, mainly modded items.

Mastery skin coming soon.

___

## Credits
Manti - Almost everything

Bazzorr - Logbook entries

Thingw - Skill icon art

TheTimesweeper - Skin incompatibility fix

Logzombie, Bazzorr, Zetta, Bero, death, Leo, dizzytom - Pre-release testing

___

## Changelog

`1.1.0`
- Added Ancient Scepter compatibility.
- Added Aetherium compatibility.
- Added Mastery skin.
- Fixed scaling for particle effects being way too large on Shaman, Acolyte and Shamanic Compound.
- Updated animations for Shaman, Acolyte and Shamanic Compound.
- Fixed 3D Spatialization for SFX.

`1.0.5`
- Fixed a major skin compatibility issue (Thanks, TheTimesweeper)

`1.0.4`
- Doubled the attack speed effect on Acolyte summon cooldown.
- ^ Also changed the lowest allowed cooldown cap: 20s -> 15s
- Prevented Acolytes from inheriting inventory if summoner Shaman is not Player controlled.

`1.0.3`
- Added a new Special skill: Call of the Wild
- Adjusted SFX volume

`1.0.2`
- Adjusted the Passive's Acolyte spawning position to be less intrusive.
- Changed Ancestral Pathway's barrier: 75% -> 60%
- Changed Ancestral Pathway's base cooldown: 30s -> 20s
- Fixed Acolytes being forced onto the Player team on spawn.
- Fixed Shamanic Compound's strafing animations.

`1.0.1`
- Reduced Shamanic Compound's base MAX HP: 500 -> 325

`1.0.0`
- Initial release